/* Single blog post template (template-parts/post-blog.php) */

#hero {
    position: relative;
    min-height: 85vh;
    overflow: hidden;
    justify-content: center;
}

#hero .hero-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

#hero .hero-bg img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    z-index: 1;
}

#hero .hero-bg::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--trixie-green);
    opacity: 0.5;
    z-index: 2;
}

#hero .container {
    z-index: 3;
}

#hero .meta-data span {
    color: #ffffff;
    font-size: var(--fs-m);
    font-weight: 400;
    line-height: 1;
}

#hero h1 {
    color: #ffffff;
    justify-content: center;
}

#content blockquote {
    padding: var(--spacing-xl) var(--spacing-m);
    color: var(--trixie-red);
    font-family: var(--font-heading);
    font-size: var(--fs-xl);
    font-weight: 700;
    line-height: 1.2;
    text-align: center;
}

#content img {
    width: 100%;
    height: auto;
    object-fit: cover;
    object-position: center;
    border-radius: var(--br-card);
    margin-bottom: var(--spacing-m);
}

#content blockquote:not(:first-child) {
    margin-top: calc(var(--spacing-s) * -1);
}

#content .btn {
    min-width: 8em;
    justify-content: space-between;
}

#content .btn-previous svg {
    transform: rotate(180deg);
}

@media screen and (min-width: 750px) {
    #hero {
        padding-top: var(--spacing-3xl);
    }
}

@media screen and (max-width: 749px) {
    #hero {
        min-height: unset;
        padding-top: calc(var(--spacing-4xl) + var(--header-height));
        padding-bottom: var(--spacing-3xl);
    }

    #hero .meta-data span {
        font-size: var(--fs-xs);
    }

    #hero h1 {
        font-size: calc(var(--fs-5xl) * 0.8);
    }

    #content .fs-m {
        font-size: var(--fs-s);
    }

    #content .btn {
        padding: var(--spacing-xs) var(--spacing-m);
        font-size: var(--fs-xs);
        min-width: 9em;
    }

    #content .btn svg {
        width: 1.2em;
    }
}